@echo off

REM Check if load_test.py exists
if not exist load_test.py (
    echo "The file load_test.py was not found in this directory."
    echo Attempting to download and run install_and_setup.bat...
    
    REM Download install_and_setup.bat
    powershell -Command "Invoke-WebRequest -Uri https://spiderweb.no/wp-content/uploads/Files/Load-Tester/install_and_setup.bat -OutFile install_and_setup.bat"
    if %ERRORLEVEL% NEQ 0 (
        echo Failed to download install_and_setup.bat. Please check your internet connection.
        pause
        exit /b 1
    )
    
    REM Execute install_and_setup.bat
    echo Running install_and_setup.bat to set up the environment...
    call install_and_setup.bat
    exit /b
)

REM Check if Python is installed
python --version >nul 2>&1
if %ERRORLEVEL% NEQ 0 (
    echo Python is not installed or not added to PATH. Please install Python and try again.
    pause
    exit /b 1
)

REM Attempt to run load_test.py
echo Launching load_test.py...
python load_test.py
if %ERRORLEVEL% NEQ 0 (
    echo Failed to execute load_test.py. Attempting to download and run install_and_setup.bat...
    
    REM Download install_and_setup.bat
    powershell -Command "Invoke-WebRequest -Uri https://spiderweb.no/wp-content/uploads/Files/Load-Tester/install_and_setup.bat -OutFile install_and_setup.bat"
    if %ERRORLEVEL% NEQ 0 (
        echo Failed to download install_and_setup.bat. Please check your internet connection.
        pause
        exit /b 1
    )
    
    REM Execute install_and_setup.bat
    echo Running install_and_setup.bat to set up the environment...
    call install_and_setup.bat
    exit /b
)

REM If everything works, keep the console open after execution
echo Script execution complete. Press any key to close this window.
pause
